# Skrill

Webapp UI for stock and crypto trading.

## Install / Development

Install nvm as node manager, install latest node.

```bash
# Clone the project
$ git clone https://git.zavage.net/Zavage-Software/skrill-frontend
$ cd skrill-frontend

# Install dependencies
$ npm install

# Start server
$ npm run start

# Open in browser: http://localhost:4200
```

## Docker Deployment

```
npm run build:prod
podman build -t skrill .
podman exec -it skrill-frontend_app_1 bash
podman compose up

```

```bash
# Build Docker
$ docker build . -t skrill-frontend

# Run Docker Container
$ docker run -p 3000:80 skrill-frontend
```

## Docker Hub

https://hub.docker.com/r/wlucha/angular-starter

## Commands

- `npm run start` - Start the app
- `npm run lint` - Lint the project
- `npm run test` - Run unit tests
- `npm run build` - Build the project
- `npm run build:prod` - Build the project in production mode
- `npm run build:prod:stats` - Build the project in product mode with stats
- `npm run analyse` - Analyse bundle with [webpack-bundle-analyzer](https://github.com/webpack-contrib/webpack-bundle-analyzer)
- `npm run compodoc` - Generate [compodoc](https://github.com/compodoc/compodoc) documentation
- `npm run version` - Generate changelog
- `npm run prettier` - Format the whole project
- `npm run audit` - Audit this application using Sonatype OSS Index

## Creating components

```
npx ng generate component HomeComponent --module=app
```

## This app was created and started from https://github.com/wlucha/angular-starter

Many thanks to all contributors!! and especially Wilfried wlucha. This starter angular scaffold was the best/up-to-date
and the one that worked for me. I have included the MIT-license for the copyright angular-starter. Thank you!!

## Contact

- Mathew Guest - mat@zavage.net
